package com.yc.education.test;

/**
 * @author Hickey
 * @create 2019-07-31 13:50
 */

public class JavaTest {

    public  static  void  main (String [] args){
//        System.out.println("Hello World");

       /* int [] arr = {4,2,1};

         for(int i=0;i<arr.length;i++){
             for(int j=0;j<arr.length-i-1;j++){
                 if(arr[j]>arr[j+1]){
                     int temp = arr[j+1];
                     arr[j+1] = arr[j];
                     arr[j]   = temp;
                 }

             }
         }*/
//------------------------------------------------------------------------------------//
       /*
       * java 两大数据类型:
       * 一.内置数据类型  -->八大基本数据类型  其范围和二进制位数封装在其包装类中
       * 1.四整型:byte(8) short(16) int(32 默认) long(64)L
       * 2.两浮点型:float(32) double(64)
       * 3.字符型:char(16 \u0000~\uffff)
       * 4.布尔型:boolean(true false(默认))
       * 二.引用数据类型
       * */
      /* System.out.println(Byte.SIZE);
       System.out.println(Byte.MIN_VALUE);
       System.out.println(Integer.MAX_VALUE);
       System.out.println(Character.MAX_VALUE);
       System.out.println(Character.MIN_VALUE+"1");
       System.out.println(Double.MAX_VALUE);*/

      /* System.out.println(12+"\n"+34);转义字符
       System.out.println(11+"\r"+22);*/

      /*
      *一.自动类型转换,强制类型转换,隐形强制类型转换(整型默认为int)
      * 自动类型转换  从低级到高级 否则要强制类型转换
      * byte,short,char->int->long->float->double
      * */
       /*char c1 = 'a';
       int i = c1;
       System.out.println(i);
       int k = 10;
       char c2 = (char) k;
       System.out.println(c2);*/

//        System.out.print(a);

        /*
        * java运算符 ++ --
        * */
       /* int a = 10;
        System.out.println(a++);//10
        System.out.println(++a);//12
        System.out.println(a--);//12
        System.out.println(--a);//10*/

//       int a = 10;
//       int b = 17;
//       int c = a&b;
//       int d = a|b;
//       int f = a^b;
//       System.out.println(c);
//       System.out.println(d);
//       System.out.println(f);



    }
    /*
    * 局部变量没有默认值  被声明后 必须经过初始化
    * */
  /*  public void test(){
         int a;
        a = a+1;

    }*/
//    static int a;

























}
